SparkFun SHTC3 Humidity and Temperature Sensor Library 
========================================

[![SparkFun Humidity Sensor - SHTC3 (Qwiic)](https://cdn.sparkfun.com/assets/parts/1/5/3/3/0/16467-SparkFun_Humidity_Sensor_Breakout_-_SHTC3__Qwiic_-01.jpg)](https://www.sparkfun.com/products/16467)

[*SparkFun Humidity Sensor - SHTC3 (Qwiic)*](https://www.sparkfun.com/products/16467)


This Arduino library allows you to take Humidity and Temperature readings using the SHTC3 sensor from Sensirion using the standard Wire (I2C) library built into Arduino. This means the library is compatible with any Arduino-compatible board that has I2C hardware. Key features of the library include the ability to return either raw ADC values or flaoting point values in %RH and deg C/deg F, data validity indicators based on CRC checking, and a unified return status format for easy error checking. For advanced users an on-return callback is implemented to illuminate the order of program execution. 

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/sparkfun-humidity-sensor-breakout---shtc3-qwiic-hookup-guide)** - Basic hookup guide for the Humidity Sensor - SHTC3 (Qwiic).

Products that use this Library 
---------------------------------
* [SparkFun Humidity Sensor - SHTC3 (Qwiic)](https://www.sparkfun.com/products/16467)
* [SparkX Humidity Sensor Breakout SHTC3 (Qwiic)](https://www.sparkfun.com/products/15074)


Version History
---------------
**1.0.0** - Initial release

License Information
-------------------

This product is _**open source**_!

The **code** is released under the GPL v3 license. See the included LICENSE.md for more information.

Distributed as-is; no warranty is given.

\- Your friends at SparkFun.
